import com.decontextualize.a2z.TextFilter;

public class KeywordClassifier extends TextFilter {

  public static void main(String[] args) {

    String filename = args[0];
    String[] contents = new TextFilter().collectLines(fromFile(filename));

    KeywordClassifier kwc = new KeywordClassifier();
    kwc.setKeywords(contents);
    kwc.run();

  }

  private String[] keywords;
  private int hits;
  private int tokenTotal;

  public void setKeywords(String[] keywords_) {
    keywords = keywords_;
  }

  public void eachLine(String line) {

    String[] tokens = line.split(" ");
    tokenTotal += tokens.length;

    for (String keyword: keywords) {
      keyword = keyword.toLowerCase();
      for (String token: tokens) {
        token = token.toLowerCase();
        if (token.equals(keyword)) {
          hits++;
        }
      }
    }

  }

  public void end() {
    double score = hits / (double)tokenTotal * 1000;
    println("Hits: " + String.valueOf(hits));
    println("Score: " + String.valueOf(score));
  }

}
